// Enable or disable automatic adding of SM_Hosties in sv_tags (visible from the server browser in CS:S): 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_add_servertag "1"

// Enable or disable announcements when a CT attacks a non-rebelling T: 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_announce_attack "1"

// Enable or disable chat announcements when Last Requests starts to be available: 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_announce_lr "1"

// Enable or disable chat announcements to tell that last request delaying is activated and how long the delay is: 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_announce_lr_delay "1"

// Enable or disable chat announcements when a terrorist becomes a rebel: 0 - disable, 1 - enable
// -
// Default: "0"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_announce_rebel "0"

// Enable or disable chat announcements when a rebel is killed: 0 - disable, 1 - enable
// -
// Default: "0"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_announce_rebel_down "0"

// Enable or disable rule announcements in the beginning of every round ('please follow the rules listed in !rules'): 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_announce_rules "1"

// Enable or disable an announcement telling that a non-rebelling T has a weapon when he gets attacked by a CT (also requires sm_hosties_announce_attack 1): 0 - disable, 1 - enable
// -
// Default: "0"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_announce_wpn_attack "0"

// What sound to play each second a beacon is 'ping'ed.
// -
// Default: "buttons/blip1.wav"
sm_hosties_beacon_sound "buttons/blip1.wav"

// Enable or disable the !checkplayers command: 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_checkplayers_enable "1"

// Comma delimitted list of items to give to CTs at spawn
// -
// Default: "weapon_knife,weapon_m4a1,weapon_usp"
sm_hosties_ct_start "weapon_knife,weapon_m4a1,weapon_usp"

// Enable or disable the display of the Powered by SM Hosties message at the start of each round.
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_display_advert "1"

// Turns on or off the advanced freekill protection system.
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_freekill_adv_prot "1"

// The length of an automated freekill ban (if sm_hosties_freekill_punishment is 2): x - ban length in minutes
// -
// Default: "60"
// Minimum: "0.000000"
sm_hosties_freekill_ban_length "60"

// Whether to notify CTs who kills a non-rebelling T about how many 'freekills' they have, or not: 0 - disable, 1 - enable
// -
// Default: "0"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_freekill_notify "0"

// The punishment to give to a CT who overrides the treshold: 0 - slay, 1 - kick, 2 - ban
// -
// Default: "0"
// Minimum: "0.000000"
// Maximum: "2.000000"
sm_hosties_freekill_punishment "0"

// When to reset the 'freekill counter' for all CTs: 0 - on round start, 1 - on map end
// -
// Default: "0"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_freekill_reset "0"

// What sound to play if a non-rebelling T gets 'freekilled', relative to the sound-folder: -1 - disable, path - path to sound file
// -
// Default: "sm_hosties/freekill1.mp3"
sm_hosties_freekill_sound "sm_hosties/freekill1.mp3"

// When to play the 'freekill sound': 0 - on freeATTACK, 1 - on freeKILL
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_freekill_sound_mode "1"

// The amount of non-rebelling terrorists a CT is allowed to kill before action is taken: 0 - disabled, >0 - amount of Ts
// -
// Default: "0"
// Minimum: "0.000000"
// Maximum: "64.000000"
sm_hosties_freekill_treshold "0"

// Sets the game description tag.
// -
// Default: "Hosties/Jailbreak v2"
sm_hosties_gamedesc_tag "Hosties/Jailbreak v2"

// Enable or disable Last Requests (the !lr command): 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr "1"

// Automatically display the LR menu to non-rebelers when they become elgible for LR: 0 - disable, 1 - enable
// -
// Default: "0"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_autodisplay "0"

// Beacon players on LR or not: 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_beacon "1"

// The interval in seconds of which the beacon 'beeps' on LR
// -
// Default: "1.0"
// Minimum: "0.100000"
sm_hosties_lr_beacon_interval "1.0"

// Displays connecting beams between LR contestants: 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_beams "1"

// Controls how close LR partners must be before the connecting beams will disappear: 0 - always on, >0 the distance in game units
// -
// Default: "0.0"
// Minimum: "0.000000"
sm_hosties_lr_beams_distance "0.0"

// Blocks LR participants from commiting suicide to avoid deaths: 0 - disable, 1 - enable
// -
// Default: "0"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_blocksuicide "0"

// What to do with a chicken fighter who attacks the other player with another weapon than knife: 0 - abort LR, 1 - slay player
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_cf_cheat_action "1"

// Enable LR Chicken Fight: 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_cf_enable "1"

// What color to turn the loser of a chicken fight into (rgB): x - blue value
// -
// Default: "0"
// Minimum: "0.000000"
// Maximum: "255.000000"
sm_hosties_lr_cf_loser_blue "0"

// What color to turn the loser of a chicken fight into (rGb): x - green value
// -
// Default: "255"
// Minimum: "0.000000"
// Maximum: "255.000000"
sm_hosties_lr_cf_loser_green "255"

// What color to turn the loser of a chicken fight into (only if sm_hosties_lr_cf_slay == 0, set R, G and B values to 255 to disable) (Rgb): x - red value
// -
// Default: "255"
// Minimum: "0.000000"
// Maximum: "255.000000"
sm_hosties_lr_cf_loser_red "255"

// Slay the loser of a Chicken Fight instantly? 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_cf_slay "1"

// Enables that players can not attack players in LR and players in LR can not attack players outside LR: 0 - disable, 1 - enable
// -
// Default: "0"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_damage "0"

// Enable health-checker in LR Dodgeball to prevent contestant cheating (healing themselves): 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_db_cheatcheck "1"

// Enable LR Dodgeball: 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_db_enable "1"

// The amount of time after a thrown flash before a new flash is given to a contestant: float value - delay in seconds
// -
// Default: "1.4"
// Minimum: "0.700000"
// Maximum: "6.000000"
sm_hosties_lr_db_flash_duration "1.4"

// What gravity multiplier the dodgeball contestants will get: <1.0 - less/lower, >1.0 - more/higher
// -
// Default: "0.6"
// Minimum: "0.100000"
// Maximum: "2.000000"
sm_hosties_lr_db_gravity "0.6"

// Delay in seconds before a last request can be started: 0.0 - instantly, >0.0 - (float value) delay in seconds
// -
// Default: "0.0"
// Minimum: "0.000000"
sm_hosties_lr_enable_delay "0.0"

// Enable LR Gun Toss: 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_gt_enable "1"

// Deagle marking (requires sm_hosties_lr_gt_mode 1): 0 - markers straight up where the deagles land, 1 - markers starting where the deagle was dropped ending at the deagle landing point
// -
// Default: "0"
sm_hosties_lr_gt_markers "0"

// Displays a distance meter: 0 - do not display, 1 - display
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_gt_meter "1"

// How Gun Toss will be played: 0 - no double-dropping checking, deagle gets 7 ammo at start, 1 - double dropping check, deagle gets 7 ammo on drop, colouring of deagles, deagle markers
// -
// Default: "1"
sm_hosties_lr_gt_mode "1"

// What to do with a hot potato contestant who attacks the other player: 0 - abort LR, 1 - slay player
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_hp_cheat_action "1"

// Enable LR Hot Potato: 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_hp_enable "1"

// Maximum time in seconds the Hot Potato contest will last for (time is randomized): float value - time
// -
// Default: "20.0"
// Minimum: "8.000000"
// Maximum: "120.000000"
sm_hosties_lr_hp_maxtime "20.0"

// Minimum time in seconds the Hot Potato contest will last for (time is randomized): float value - time
// -
// Default: "10.0"
// Minimum: "0.000000"
// Maximum: "45.000000"
sm_hosties_lr_hp_mintime "10.0"

// Enable announcement when a Hot Potato contestant picks up the hot potato: 0 - disable, 1 - enable
// -
// Default: "0"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_hp_pickupannounce "0"

// What speed multiplier a hot potato contestant who has the deagle is gonna get: <1.0 - slower, >1.0 - faster
// -
// Default: "1.5"
// Minimum: "0.800000"
// Maximum: "3.000000"
sm_hosties_lr_hp_speed_multipl "1.5"

// Teleport CT to T on hot potato contest start: 0 - disable, 1 - enable, 2 - enable and freeze
// -
// Default: "2"
// Minimum: "0.000000"
// Maximum: "2.000000"
sm_hosties_lr_hp_teleport "2"

// Enables the LR Jumping Contest: 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_jumpcontest_on "1"

// What to do with a knife fighter who attacks the other player with another weapon than knife: 0 - abort LR, 1 - slay player
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_kf_cheat_action "1"

// The multiplier used for how drunk the player will be during the drunken boxing knife fight.
// -
// Default: "4"
// Minimum: "0.000000"
sm_hosties_lr_kf_drunk "4"

// Enable LR Knife Fight: 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_kf_enable "1"

// The multiplier used for the low-gravity knife fight.
// -
// Default: "0.6"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_kf_gravity "0.6"

// The multiplier used for the high-speed knife fight.
// -
// Default: "2.2"
// Minimum: "1.100000"
sm_hosties_lr_kf_speed "2.2"

// Kills Ts who timeout the LR menu and controls whether the exit button is displayed: 0 - disable, 1 - enable
// -
// Default: "0"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_killtimeouts "0"

// The number of bullets in each magazine given to Mag4Mag LR contestants
// -
// Default: "7"
// Minimum: "2.000000"
sm_hosties_lr_m4m_capacity "7"

// Enables the LR Magazine4Magazine: 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_mag4mag_on "1"

// Sets the time the LR menu is displayed (in seconds)
// -
// Default: "0"
// Minimum: "0.000000"
sm_hosties_lr_menutime "0"

// Delay in seconds before a No Scope Battle begins (to prepare the contestants...)
// -
// Default: "3"
// Minimum: "0.000000"
sm_hosties_lr_ns_delay "3"

// Enable LR No Scope Battle: 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_ns_enable "1"

// Weapon to use in a No Scope Battle: 0 - AWP, 1 - scout, 2 - let the terrorist choose, 3 - SG550, 4 - G3SG1
// -
// Default: "2"
// Minimum: "0.000000"
// Maximum: "2.000000"
sm_hosties_lr_ns_weapon "2"

// What to do when a LR-player gets killed by a player not in LR during LR: 0 - just abort LR, 1 - abort LR and slay the attacker
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_p_killed_action "1"

// Allow prisoners to set race points in the air.
// -
// Default: "0"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_race_airpoints "0"

// Enables the LR Race: 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_race_on "1"

// Tells all CTs when a T has selected the race option from the LR menu
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_race_tell_cts "1"

// Decides what to do with those who rebel/interfere during an LR. 1 - Abort, 2 - Slay.
// -
// Default: "2"
// Minimum: "1.000000"
// Maximum: "2.000000"
sm_hosties_lr_rebel_action "2"

// If the Rebel LR option is enabled, specifies how minimum number of alive counter-terrorists needed for the option to appear in the LR menu.
// -
// Default: "1"
// Minimum: "1.000000"
sm_hosties_lr_rebel_cts "1"

// Sets terrorists to rebels for firing a bullet. 0 - Disabled, 1 - Enabled.
// -
// Default: "0"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_rebel_impact "0"

// LR-mode for rebelling terrorists: 0 - Rebelling Ts can never have a LR, 1 - Rebelling Ts must let the CT decide if a LR is OK, 2 - Rebelling Ts can have a LR just like other Ts
// -
// Default: "1"
// Minimum: "0.000000"
sm_hosties_lr_rebel_mode "1"

// Enables the LR Rebel: 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_rebel_on "1"

// If the Rebel LR option is enabled, specifies the maximum number of alive terrorists needed for the option to appear in the LR menu.
// -
// Default: "1"
// Minimum: "1.000000"
sm_hosties_lr_rebel_ts "1"

// Enable LR Rock Paper Scissors: 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_rps_enable "1"

// Enables the LR Russian Roulette: 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_russianroulette_on "1"

// What to do with someone who fires 2 shots in a row in Shot4Shot: 0 - nothing (ignore completely), 1 - Follow rebel punishment cvars
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_s4s_dblsht_action "1"

// Enable LR Shot4Shot: 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_s4s_enable "1"

// Enable announcements in Shot4Shot or Mag4Mag when a contestant empties their gun: 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_s4s_shot_taken "1"

// Specifies if non-death related LR messages are sent to everyone or just the active participants in that LR. 0: participants, 1: everyone
// -
// Default: "0"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_lr_send_global_msgs "0"

// What sound to play when LR gets available, relative to the sound-folder (also requires sm_hosties_announce_lr to be 1): -1 - disable, path - path to sound file
// -
// Default: "sm_hosties/lr1.mp3"
sm_hosties_lr_sound "sm_hosties/lr1.mp3"

// The maximum number of terrorists left to enable LR: 0 - LR is always enabled, >0 - maximum number of Ts
// -
// Default: "2"
// Minimum: "0.000000"
// Maximum: "63.000000"
sm_hosties_lr_ts_max "2"

// Amount of frags to reward victor in an LR where other player automatically dies
// -
// Default: "1"
// Minimum: "0.000000"
sm_hosties_lr_victorpoints "1"

// Setting for muting terrorists automatically: 0 - disable, 1 - terrorists are muted the first few seconds of a round, 2 - terrorists are muted when they die, 3 - both
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "3.000000"
sm_hosties_mute "1"

// Setting for muting counter-terrorists automatically when they die (requires sm_hosties_mute 2 or 3): 0 - disable, 1 - enable
// -
// Default: "0"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_mute_ct "0"

// Admin flags which are immune from getting muted: 0 - nobody, 1 - all admins, flag values: abcdefghijklmnopqrst
// -
// Default: "z"
sm_hosties_mute_immune "z"

// Enable or disable integrated removing of player vs player collisions (noblock): 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_noblock_enable "1"

// What sound to play when a No Scope Battle starts, relative to the sound-folder: -1 - disable, path - path to sound file
// -
// Default: "sm_hosties/noscopestart1.mp3"
sm_hosties_noscope_sound "sm_hosties/noscopestart1.mp3"

// Enable or disable an override of the game description (standard Counter-Strike: Source, override to Hosties/jailbreak): 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_override_gamedesc "1"

// What color to turn a rebel into (rgB): x - blue value
// -
// Default: "0"
// Minimum: "0.000000"
// Maximum: "255.000000"
sm_hosties_rebel_blue "0"

// Turns on coloring rebels
// -
// Default: "0"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_rebel_color "0"

// What color to turn a rebel into (rGb): x - green value
// -
// Default: "0"
// Minimum: "0.000000"
// Maximum: "255.000000"
sm_hosties_rebel_green "0"

// What color to turn a rebel into (set R, G and B values to 255 to disable) (Rgb): x - red value
// -
// Default: "255"
// Minimum: "0.000000"
// Maximum: "255.000000"
sm_hosties_rebel_red "255"

// Counter-Terrorist overlay texture file
// -
// Default: "overlays/sm_hosties/prisonguards_win.vtf"
sm_hosties_roundend_overlay_ct "overlays/sm_hosties/prisonguards_win.vtf"

// Counter-Terrorist overlay material file
// -
// Default: "overlays/sm_hosties/prisonguards_win.vmt"
sm_hosties_roundend_overlay_ct_vmt "overlays/sm_hosties/prisonguards_win.vmt"

// Terrorist overlay texture file
// -
// Default: "overlays/sm_hosties/prisoners_win.vtf"
sm_hosties_roundend_overlay_t "overlays/sm_hosties/prisoners_win.vtf"

// Terrorist overlay material file
// -
// Default: "overlays/sm_hosties/prisoners_win.vmt"
sm_hosties_roundend_overlay_t_vmt "overlays/sm_hosties/prisoners_win.vmt"

// The length of time the Terrorist team is muted for after the round begins
// -
// Default: "30.0"
// Minimum: "3.000000"
// Maximum: "90.000000"
sm_hosties_roundstart_mute "30.0"

// Enable or disable rules showing up at !rules command (if you need to disable the command registration on plugin startup, add a file in your sourcemod/configs/ named hosties_rulesdisable.ini with any content): 0 - disable, 1 - enable
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_rules_enable "1"

// 1 - Panel Mode, 2 - Website
// -
// Default: "1"
// Minimum: "1.000000"
// Maximum: "2.000000"
sm_hosties_rules_mode "1"

// The website for the rules page.
// -
// Default: "http://www.youtube.com/watch?v=oHg5SJYRHA0"
sm_hosties_rules_website "http://www.youtube.com/watch?v=oHg5SJYRHA0"

// Enable or disable configurable payloads for each time on player spawn
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_startweapons_on "1"

// Enable or disable the stripping of weapons from anyone who is banned.
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_strip_onban "1"

// Enable or disable the stripping of weapons from anyone who is kicked.
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_strip_onkick "1"

// Enable or disable the stripping of weapons from anyone who is slain.
// -
// Default: "1"
// Minimum: "0.000000"
// Maximum: "1.000000"
sm_hosties_strip_onslay "1"

// Comma delimitted list of items to give to Ts at spawn
// -
// Default: "weapon_knife"
sm_hosties_t_start "weapon_knife"
